"""Module to exclude unavailable locales from API."""

data_mutual = [
    "aa-DJ",
    "aa-ER",
    "aa-ET",
    "ab-GE",
    "ak-GH",
    "an-ES",
    "ar-SY",
    "az-IR",
    "ba-RU",
    "bm-ML",
    "bo-CN",
    "bo-IN",
    "br-FR",
    "ce-RU",
    "co-FR",
    "cu-RU",
    "cv-RU",
    "dv-MV",
    "dz-BT",
    "ee-GH",
    "ee-TG",
    "es-CU",
    "fa-IR",
    "ff-BF",
    "ff-CM",
    "ff-GH",
    "ff-GM",
    "ff-GN",
    "ff-GW",
    "ff-LR",
    "ff-MR",
    "ff-NE",
    "ff-NG",
    "ff-SL",
    "ff-SN",
    "fo-DK",
    "fr-SY",
    "fy-NL",
    "gn-PY",
    "gv-IM",
    "ie-EE",
    "ii-CN",
    "iu-CA",
    "jv-ID",
    "ki-KE",
    "ko-KP",
    "ks-IN",
    "ku-TR",
    "kw-GB",
    "la-VA",
    "lg-UG",
    "ln-AO",
    "ln-CD",
    "ln-CF",
    "ln-CG",
    "lu-CD",
    "mg-MG",
    "my-MM",
    "nd-ZW",
    "nr-ZA",
    "nv-US",
    "ny-MW",
    "oc-ES",
    "oc-FR",
    "om-ET",
    "om-KE",
    "os-GE",
    "os-RU",
    "qu-BO",
    "qu-EC",
    "qu-PE",
    "rm-CH",
    "rn-BI",
    "ru-RU",
    "sa-IN",
    "sc-IT",
    "se-FI",
    "se-NO",
    "se-SE",
    "sg-CF",
    "sn-ZW",
    "so-DJ",
    "so-ET",
    "so-KE",
    "so-SO",
    "ss-SZ",
    "ss-ZA",
    "st-LS",
    "st-ZA",
    "su-ID",
    "ti-ER",
    "tn-ZA",
    "to-TO",
    "ts-ZA",
    "tt-RU",
    "ve-ZA",
    "wa-BE",
    "xh-ZA",
    "yi-UA",
    "za-CN",
    "zu-ZA",
]

data_v3 = [
    "af-ZA",
    "ar-IL",
    "az-TR",
    "bg-BG",
    "ca-ES",
    "ca-FR",
    "ca-IT",
    "cs-CZ",
    "da-DK",
    "de-AT",
    "de-BE",
    "de-CH",
    "de-DE",
    "de-IT",
    "de-LI",
    "de-LU",
    "el-CY",
    "el-GR",
    "en-AT",
    "en-BE",
    "en-CH",
    "en-CY",
    "en-DE",
    "en-DK",
    "en-FI",
    "en-IE",
    "en-IL",
    "en-MT",
    "en-NL",
    "en-SE",
    "en-SI",
    "es-ES",
    "et-EE",
    "eu-ES",
    "fi-FI",
    "fr-BE",
    "fr-CH",
    "fr-FR",
    "fr-GF",
    "fr-GP",
    "fr-LU",
    "fr-MQ",
    "fr-RE",
    "fr-YT",
    "ga-IE",
    "gl-ES",
    "he-IL",
    "hr-HR",
    "hu-HU",
    "is-IS",
    "it-CH",
    "it-IT",
    "lb-LU",
    "lt-LT",
    "lv-LV",
    "mi-NZ",
    "ms-ID",
    "ms-MY",
    "ms-SG",
    "mt-MT",
    "nb-NO",
    "nl-BE",
    "nl-NL",
    "nn-NO",
    "pl-PL",
    "pt-CH",
    "pt-LU",
    "pt-PT",
    "ro-RO",
    "sk-SK",
    "sl-SI",
    "sv-FI",
    "sv-SE",
    "ta-MY",
    "ta-SG",
    "tr-CY",
    "zh-MY",
    "zh-SG",
]

data_v4 = [
    "be-BY",
    "fo-FO",
    "ha-GH",
    "ha-NE",
    "ha-NG",
    "ha-SD",
    "ig-NG",
    "kl-GL",
    "ky-KG",
    "mn-CN",
    "mn-MN",
    "ps-AF",
    "ps-PK",
    "rw-RW",
    "sd-IN",
    "sd-PK",
    "si-LK",
    "sw-CD",
    "sw-KE",
    "sw-TZ",
    "sw-UG",
    "tg-TJ",
    "ti-ET",
    "tk-TM",
    "tn-BW",
    "wo-SN",
    "yo-BJ",
    "yo-NG",
]


def is_excluded(locale, version=3):
    """
    Check if a locale is excluded for a given version.
    version: '3', '4' (no quotes)
    """
    if version == 3:
        return locale in data_mutual or locale in data_v3
    if version == 4:
        return locale in data_mutual or locale in data_v4
    raise ValueError("version must be '3' or '4' (no quotes)")
